# Conditional build:
%bcond_with	tests	# unit tests

%define		module	hatchling
Summary:	Modern, extensible Python build backend
Name:		python3-%{module}
Version:	1.27.0
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.debian.net/hatchling/%{module}-%{version}.tar.gz
# Source0-md5:	6ffb3087c9b6a9ffbfc1bb394f7ed1a8
URL:		https://pypi.org/project/hatchling/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-packaging >= 24.2
BuildRequires:	python3-pathspec
BuildRequires:	python3-pluggy
BuildRequires:	python3-trove_classifiers
%if %{with tests}
#BuildRequires:	python3-
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%description -l pl.UTF-8

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/hatchling
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}.dist-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hatchling.git;a=log;h=master

* Wed Mar 12 2025 Jan Rękorajski <baggins@pld-linux.org> bedc143
- rel 5, there are no tests here

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9a4fae3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9fc8ab3
- rel 3

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 20f8e96
- BR python3-pluggy

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5c8b265
- python 3.13 rebuild

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dfe2d2
- Migrate to new macros

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 169a206
- Up to 1.27.0

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 2547d46
- More BR

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 284d74b
- Initial

